import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: 'entities',
        loadChildren: '../openaireLibrary/dashboard/entity/entities.module#EntitiesModule',
        pathMatch: 'full'
      },
      /*      {
              path: 'classContents',
              loadChildren: '../openaireLibrary/dashboard/divhelpcontent/div-help-contents.module#DivHelpContentsModule'
            },
            {
              path: 'classContents/new',
              loadChildren: '../openaireLibrary/dashboard/divhelpcontent/new-div-help-content.module#NewDivHelpContentModule',
              pathMatch: 'full'
            },
            {
              path: 'classContents/edit',
              loadChildren: '../openaireLibrary/dashboard/divhelpcontent/edit-div-help-content.module#EditDivHelpContentModule',
              pathMatch: 'full'
            },*/
      {
        path: 'helptexts',
        loadChildren: '../openaireLibrary/dashboard/helpTexts/page-help-contents.module#PageHelpContentsModule',
        pathMatch: 'full'
      },
      {
        path: 'helptexts/edit',
        loadChildren: '../openaireLibrary/dashboard/helpTexts/page-help-content-form.module#PageHelpContentFormModule',
        pathMatch: 'full'
      },
      {
        path: 'pages',
        loadChildren: '../openaireLibrary/dashboard/page/pages.module#PagesModule',
        pathMatch: 'full'
      }
    ])
  ]
})
export class AdminToolsRoutingModule {
}
